//
//  WDInstallProcessController+WDInstallProcessController_launchd.h
//  Installer
//
//  Created by Clark Jackson on 5/16/12.
//  Copyright © 2013 Western Digital Technologies, Inc. All rights reserved.
//

#import "WDInstallProcessController.h"

@interface WDInstallProcessController (WDInstallProcessController_launchd)

- (void)doTouch:(NSString*)path;  // CRJ
- (void)doSignalProcess:(NSString*)processName signal:(NSString*)signal;  // CRJ
- (void)doLaunchCtlLoadUnload:(NSString*)loadChoice path:(NSString*)pathToLaunchdPlist;  // CRJ
- (void)doCopyDeepOverwriteSource:(NSString*)theSource destination:(NSString*)theDestination;  // CRJ
- (void)doCopyOverwriteSource:(NSString*)theSource destination:(NSString*)theDestination;  // CRJ
- (void)doCopyOverwriteNoShellSource:(NSString*)theSource destination:(NSString*)theDestination mode:(NSNumber*)theMode;  // CRJ
- (void)doRemoveDirectory:(NSString*)path;  // CRJ
- (void)doMakeDirectory:(NSString*)path;  // CRJ
- (void)doKillMyProcessesByName:(NSString*)processName; // CRJ
- (void)doKillMyProcessByName:(NSString*)processName; // CRJ
- (void)doKillMyProcessByPID:(NSNumber*)pid;  // CRJ
- (void)doCHOWN_user:(NSNumber*)user group:(NSNumber*)group path:(NSString*)path; // CRJ
- (void)doString_CHOWN_user:(NSString*)user group:(NSString*)group path:(NSString*)path; // CRJ
- (void)doCHOWN_user_group:(NSString*)path; // CRJ
- (void)doCHOWN_root_admin:(NSString*)path;  // CRJ
- (void)doCHOWN_root_wheel:(NSString*)path;  // CRJ
- (void)doCHMOD_rwsr_xr_x:(NSString*)path;  // CRJ
- (void)doCHMOD_rwxr_xr_x:(NSString*)path;  // CRJ
- (void)doCHMOD_rwxrwxrwx:(NSString*)path;  // CRJ
- (void)doCHMOD_rw_r__r__:(NSString*)path;  // CRJ
- (IBAction)doGetDate:(id)sender;           // CRJ
- (IBAction)doGetVersion:(id)sender;
- (IBAction)doGetUIDs:(id)sender;
- (IBAction)doLowNumberedPorts:(id)sender;
- (IBAction)destroyRights:(id)sender;
- (NSInteger) installLaunchdTool;


@end
